export default {
  title: 'C360 Subsystem/Foundation/Typography',
  parameters: {
    docs: {
      source: {
        type: 'auto',
      },
    },
  },
};

const HeadingTemplate = (args) =>
  `<p type-style="${args.typeStyle}">The quick brown fox jumps over the lazy dog</p>`;
export const Heading = HeadingTemplate.bind({});
Heading.args = {
  typeStyle: 'heading-1',
};
Heading.argTypes = {
  typeStyle: {
    name: 'type-style',
    control: {
      type: 'select',
      options: [
        'heading-1',
        'heading-2',
        'heading-3',
        'heading-4',
        'heading-5',
        'heading-6',
        'heading-7',
        'heading-8',
      ],
    },
    defaultValue: 'heading-1',
    description: 'Heading type style',
    table: {
      type: { summary: 'string' },
      defaultValue: { summary: 'heading-1' },
    },
  },
};

const BodyTemplate = (args) =>
  `<p type-style="${args.typeStyle}">A CRM solution helps you focus on your organization’s relationships with individual people — including customers, service users, colleagues, or suppliers — throughout your lifecycle with them, including finding new customers, winning their business, and providing support and additional services throughout the relationship.</p>`;
export const Body = BodyTemplate.bind({});
Body.args = {
  typeStyle: 'body',
};
Body.argTypes = {
  typeStyle: {
    name: 'type-style',
    control: {
      type: 'select',
      options: ['body', 'body-medium', 'body-small'],
    },
  },
};

const EyebrowTemplate = () => `<p type-style="eyebrow">The quick brown fox jumps over the lazy dog</p>`;
export const Eyebrow = EyebrowTemplate.bind({});
Eyebrow.args = {
  typeStyle: 'eyebrow',
};
Eyebrow.argTypes = {
  typeStyle: {
    name: 'type-style',
    control: {
      type: 'select',
      options: ['eyebrow'],
    },
  },
};

const CaptionTemplate = () =>
  `<p type-style="caption">A CRM solution helps you focus on your organization’s relationships with individual people — including customers, service users, colleagues, or suppliers — throughout your lifecycle with them, including finding new customers, winning their business, and providing support and additional services throughout the relationship.</p>`;
export const Caption = CaptionTemplate.bind({});
Caption.args = {
  typeStyle: 'caption',
};
Caption.argTypes = {
  typeStyle: {
    name: 'type-style',
    control: {
      type: 'select',
      options: ['caption'],
    },
  },
};

const CodeTemplate = (args) =>
  `<div type-style="${args.typeStyle}"><p type-style="code">curl -X POST -H "Authorization: Bearer <TOKEN>" -H "Cache-Control: no-cache" -H "Content-Type: multipart/form-data"</p></div>`;
export const Code = CodeTemplate.bind({});
Code.args = {
  typeStyle: 'body',
};
Code.argTypes = {
  typeStyle: {
    name: 'type-style',
    control: {
      type: 'select',
      options: ['body', 'body-medium', 'body-small', 'caption'],
    },
  },
};

const LinkTemplate = (args) => `<p type-style="${args.typeStyle}"><a href="#">link</a></p>`;
export const Link = LinkTemplate.bind({});
Link.args = {
  typeStyle: 'body',
};
Link.argTypes = {
  typeStyle: {
    name: 'type-style',
    control: {
      type: 'select',
      options: ['body', 'body-medium', 'body-small', 'caption'],
    },
  },
};
